Author Topic: Keeping a Selection Set with the Explode command  (Read 115 times)

0 Members and 1 Guest are viewing this topic.

MSTG007

  • Gator
  • Posts: 2557
  • I can't remeber what I already asked! I need help!
Keeping a Selection Set with the Explode command
« on: June 16, 2022, 05:45:38 PM »
I am trying to find a method to where I can select Mtext or MLeader and explode it, then with the new single lined texts; apply a new command which would move the text to layer 0.

I know this a basic to make bold, but I am trying to figure how to tie everything together using the following:
Code: [Select]
(defun C:test (/ ss)
(setq ss (ssget "x"))
(initcommandversion 2)   
(command "explode" "p" "")
(command "change" ss "" "p" "la" "0" "")
(princ))

How would I go about doing that?

Civil3D 2020

framednlv

  • Newt
  • Posts: 55
Re: Keeping a Selection Set with the Explode command
« Reply #1 on: June 16, 2022, 06:33:21 PM »
Code: [Select]
(defun C:test (/ ss)
(setvar "qaflags" 1)
(setq ss (ssget ))
(command "explode" ss "")
(command "change" "p" "" "p" "la" "0" "")
(setvar "qaflags" 0)
(princ))